#include <iostream>
#include <iomanip>
#include <string>
#include "TFile.h"
#include "TTree.h"
#include "TNtuple.h"
#include "Riostream.h"
#include "ascii2root.h"
#include "PSECNtupleAna.h"
//#include <process.h>



int main(int argc, char* argv[])
{
   if (argc != 3) {
   std::cout << "Error, bad number of arguments ("<< argc <<"). Usage : PSECAna ascii.in out_directory" << endl;
   return 1;
   }
   string OutDirectory=argv[2];
   string OutDataFile = OutDirectory + "/data.root";
   string OutHistoFile = OutDirectory + "/histos.root";
   string OutSummaryFile = OutDirectory + "/summary.out";
   string OutImageDirectory = OutDirectory + "/images/";
   string cmd = "mkdir -p " + OutDirectory + "/images";
   system(cmd.c_str());
   TTree *ntuple = convert(argv[1],OutDataFile.c_str());
   TFile *g = new TFile(OutDataFile.c_str());
   PSECNtupleAna events(ntuple);
   events.Loop(OutHistoFile.c_str(),OutSummaryFile.c_str(),OutImageDirectory.c_str());
   std::cout << "Done." << endl;
   
   //TFile *histos = new TFile(argv[3]);
   //TApplication theApp("App", &argc, argv);
   //MyMainFrame mainWin(gClient->GetRoot(), 200, 220);
   //theApp.Run();

   
   return 0;
}
