#!/bin/bash

#This script is intented to run everything that has to be done while

#Written by Emilien Chapon, June 5 2008

RUN_NUMBER=$(tail -n 1 database.db | sed -e 's/ .*//')
RUN_NUMBER=`expr $RUN_NUMBER \+ 1`

echo $(date)
echo Beginning of run $RUN_NUMBER, now retrieving beam environment parameters and writing them to the database

echo $RUN_NUMBER $(date) $(exec acread2 I:Beam) $(exec acread2 'F:MW1SEM') $(exec acread2 'F:MC1SEM') $(exec acread2 'F:MC6IC') $(exec acread2 'F:MT6TP1') $(exec acread2 'F:MT6TP2') $(exec acread2 'F:MTSCL1') >> database.db

echo Now calling the DAQ software

#call daq program here

echo $(date)
echo End of run $RUN_NUMBER, now retrieving beam environment parameters and writing them to the database

echo $RUN_NUMBER $(date) $(exec acread2 I:Beam) $(exec acread2 'F:MW1SEM') $(exec acread2 'F:MC1SEM') $(exec acread2 'F:MC6IC') $(exec acread2 'F:MT6TP1') $(exec acread2 'F:MT6TP2') $(exec acread2 'F:MTSCL1') >> database.db

echo End of script